Loading...
Searching...
No Matches
Vector Setc
Math Functions

## Functions

ne10_result_t | ne10_setc_float_c (ne10_float32_t *dst, const ne10_float32_t cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_float_neon (ne10_float32_t *dst, const ne10_float32_t cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_float_asm (ne10_float32_t *dst, const ne10_float32_t cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec2f_c (ne10_vec2f_t *dst, const ne10_vec2f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec2f_neon (ne10_vec2f_t *dst, const ne10_vec2f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec2f_asm (ne10_vec2f_t *dst, const ne10_vec2f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec3f_c (ne10_vec3f_t *dst, const ne10_vec3f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec3f_neon (ne10_vec3f_t *dst, const ne10_vec3f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec3f_asm (ne10_vec3f_t *dst, const ne10_vec3f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec4f_c (ne10_vec4f_t *dst, const ne10_vec4f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec4f_neon (ne10_vec4f_t *dst, const ne10_vec4f_t *cst, ne10_uint32_t count)
ne10_result_t | ne10_setc_vec4f_asm (ne10_vec4f_t *dst, const ne10_vec4f_t *cst, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_setc_float )(ne10_float32_t *dst, const ne10_float32_t cst, ne10_uint32_t count)
| Sets the elements of an input array to a constant scalar and stores the results in an output array.
ne10_result_t(* | ne10_setc_vec2f )(ne10_vec2f_t *dst, const ne10_vec2f_t *cst, ne10_uint32_t count)
| Sets the components of 2D vectors in an input array to the components of a constant 2D vector and stores the results in an output array.
ne10_result_t(* | ne10_setc_vec3f )(ne10_vec3f_t *dst, const ne10_vec3f_t *cst, ne10_uint32_t count)
| Sets the components of 3D vectors in an input array to the components of a constant 3D vector and stores the results in an output array.
ne10_result_t(* | ne10_setc_vec4f )(ne10_vec4f_t *dst, const ne10_vec4f_t *cst, ne10_uint32_t count)
| Sets the components of 4D vectors in an input array to the components of a constant 3D vector and stores the results in an output array.

## Detailed Description

  These functions implement vector setc operation for float data type.

## Function Documentation

## ne10_setc_float_c()

ne10_result_t ne10_setc_float_c | ( | ne10_float32_t * | dst,
|  | const ne10_float32_t | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 37 of file NE10_setc.c.

## ne10_setc_float_neon()

ne10_result_t ne10_setc_float_neon | ( | ne10_float32_t * | dst,
|  | const ne10_float32_t | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 39 of file NE10_setc.neon.c.

## ne10_setc_vec2f_c()

ne10_result_t ne10_setc_vec2f_c | ( | ne10_vec2f_t * | dst,
|  | const ne10_vec2f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 45 of file NE10_setc.c.

## ne10_setc_vec2f_neon()

ne10_result_t ne10_setc_vec2f_neon | ( | ne10_vec2f_t * | dst,
|  | const ne10_vec2f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 49 of file NE10_setc.neon.c.

## ne10_setc_vec3f_c()

ne10_result_t ne10_setc_vec3f_c | ( | ne10_vec3f_t * | dst,
|  | const ne10_vec3f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 54 of file NE10_setc.c.

## ne10_setc_vec3f_neon()

ne10_result_t ne10_setc_vec3f_neon | ( | ne10_vec3f_t * | dst,
|  | const ne10_vec3f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 59 of file NE10_setc.neon.c.

## ne10_setc_vec4f_c()

ne10_result_t ne10_setc_vec4f_c | ( | ne10_vec4f_t * | dst,
|  | const ne10_vec4f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 64 of file NE10_setc.c.

## ne10_setc_vec4f_neon()

ne10_result_t ne10_setc_vec4f_neon | ( | ne10_vec4f_t * | dst,
|  | const ne10_vec4f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 69 of file NE10_setc.neon.c.

## Variable Documentation

## ne10_setc_float

ne10_result_t(* ne10_setc_float) (ne10_float32_t *dst, const ne10_float32_t cst, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | const ne10_float32_t | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Sets the elements of an input array to a constant scalar and stores the results in an output array.

This function point could be pointed to one of ne10_setc_float_c, ne10_setc_float_neon and ne10_setc_float_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | cst | The constant scalar to set the input values to
  [in] | count | The number of items in the input array

Definition at line 240 of file NE10_init_math.c.

## ne10_setc_vec2f

ne10_result_t(* ne10_setc_vec2f) (ne10_vec2f_t *dst, const ne10_vec2f_t *cst, ne10_uint32_t count) | ( | ne10_vec2f_t * | dst,
|  | const ne10_vec2f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Sets the components of 2D vectors in an input array to the components of a constant 2D vector and stores the results in an output array.

This function point could be pointed to one of ne10_setc_vec2f_c, ne10_setc_vec2f_neon and ne10_setc_vec2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | cst | Pointer to the 2D vector to set the input values to
  [in] | count | The number of items in the input array

Definition at line 241 of file NE10_init_math.c.

## ne10_setc_vec3f

ne10_result_t(* ne10_setc_vec3f) (ne10_vec3f_t *dst, const ne10_vec3f_t *cst, ne10_uint32_t count) | ( | ne10_vec3f_t * | dst,
|  | const ne10_vec3f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Sets the components of 3D vectors in an input array to the components of a constant 3D vector and stores the results in an output array.

This function point could be pointed to one of ne10_setc_vec3f_c, ne10_setc_vec3f_neon and ne10_setc_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | cst | Pointer to the 3D vector to set the input values to
  [in] | count | The number of items in the input array

Definition at line 242 of file NE10_init_math.c.

## ne10_setc_vec4f

ne10_result_t(* ne10_setc_vec4f) (ne10_vec4f_t *dst, const ne10_vec4f_t *cst, ne10_uint32_t count) | ( | ne10_vec4f_t * | dst,
|  | const ne10_vec4f_t * | cst,
|  | ne10_uint32_t | count
| ) |  |

extern

Sets the components of 4D vectors in an input array to the components of a constant 3D vector and stores the results in an output array.

This function point could be pointed to one of ne10_setc_vec4f_c, ne10_setc_vec4f_neon and ne10_setc_vec4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | cst | Pointer to the 4D vector to set the input values to
  [in] | count | The number of items in the input array

Definition at line 243 of file NE10_init_math.c.